LV2: Data Fields - Variables

# LV2

An open and extensible audio plugin standard

Version | 1.18.10

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - a -

- absolute_path : LV2_State_Map_Path
- abstract_path : LV2_State_Map_Path
- activate : LV2_Descriptor
- atom : LV2_Atom_Double, LV2_Atom_Float, LV2_Atom_Int, LV2_Atom_Literal, LV2_Atom_Long, LV2_Atom_Object, LV2_Atom_Property, LV2_Atom_Sequence, LV2_Atom_String, LV2_Atom_Tuple, LV2_Atom_URID, LV2_Atom_Vector

### - b -

- beats : LV2_Atom_Event.time
- body : LV2_Atom_Double, LV2_Atom_Event, LV2_Atom_Float, LV2_Atom_Int, LV2_Atom_Literal, LV2_Atom_Long, LV2_Atom_Object, LV2_Atom_Property, LV2_Atom_Sequence, LV2_Atom_URID, LV2_Atom_Vector

### - c -

- callback_data : LV2_Event_Feature, LV2_URI_Map_Feature
- capacity : LV2_Event_Buffer
- child_size : LV2_Atom_Vector_Body
- child_type : LV2_Atom_Vector_Body
- cleanup : LV2_Descriptor, LV2_Lib_Descriptor, LV2UI_Descriptor
- connect_port : LV2_Descriptor
- context : LV2_Atom_Property_Body, LV2_Options_Option

### - d -

- data : LV2_Event_Buffer, LV2_Feature, LV2_Resize_Port_Resize
- data_access : LV2_Extension_Data_Feature
- datatype : LV2_Atom_Literal_Body
- deactivate : LV2_Descriptor

### - e -

- end_run : LV2_Worker_Interface
- event_count : LV2_Event_Buffer
- extension_data : LV2_Descriptor, LV2UI_Descriptor

### - f -

- frames : LV2_Atom_Event.time, LV2_Event
- free_path : LV2_State_Free_Path

### - g -

- get : LV2_Options_Interface
- get_plugin : LV2_Lib_Descriptor

### - h -

- handle : LV2_Lib_Descriptor, LV2_Log_Log, LV2_State_Free_Path, LV2_State_Make_Path, LV2_State_Map_Path, LV2_URID_Map, LV2_URID_Unmap, LV2_Worker_Schedule, LV2UI_Port_Map, LV2UI_Port_Subscribe, LV2UI_Request_Value, LV2UI_Resize, LV2UI_Touch
- header_size : LV2_Event_Buffer
- hide : LV2UI_Show_Interface

### - i -

- id : LV2_Atom_Object_Body
- idle : LV2UI_Idle_Interface
- instantiate : LV2_Descriptor, LV2UI_Descriptor

### - k -

- key : LV2_Atom_Object_Query, LV2_Atom_Property_Body, LV2_Options_Option

### - l -

- lang : LV2_Atom_Literal_Body
- lv2_event_ref : LV2_Event_Feature
- lv2_event_unref : LV2_Event_Feature

### - m -

- map : LV2_URID_Map

### - o -

- otype : LV2_Atom_Object_Body

### - p -

- pad : LV2_Atom_Sequence_Body
- path : LV2_State_Make_Path
- peak : LV2UI_Peak_Data
- period_size : LV2UI_Peak_Data
- period_start : LV2UI_Peak_Data
- port_event : LV2UI_Descriptor
- port_index : LV2UI_Port_Map
- printf : LV2_Log_Log

### - r -

- request : LV2UI_Request_Value
- resize : LV2_Resize_Port_Resize
- restore : LV2_State_Interface
- run : LV2_Descriptor

### - s -

- save : LV2_State_Interface
- schedule_work : LV2_Worker_Schedule
- set : LV2_Options_Interface
- show : LV2UI_Show_Interface
- size : LV2_Atom, LV2_Event, LV2_Event_Buffer, LV2_Lib_Descriptor, LV2_Options_Option
- stamp_type : LV2_Event_Buffer
- subframes : LV2_Event
- subject : LV2_Options_Option
- subscribe : LV2UI_Port_Subscribe

### - t -

- time : LV2_Atom_Event
- touch : LV2UI_Touch
- type : LV2_Atom, LV2_Event, LV2_Options_Option

### - u -

- ui_resize : LV2UI_Resize
- unit : LV2_Atom_Sequence_Body
- unmap : LV2_URID_Unmap
- unsubscribe : LV2UI_Port_Subscribe
- URI : LV2_Descriptor, LV2_Feature, LV2UI_Descriptor
- uri_to_id : LV2_URI_Map_Feature

### - v -

- value : LV2_Atom_Object_Query, LV2_Atom_Property_Body, LV2_Options_Option
- vprintf : LV2_Log_Log

### - w -

- work : LV2_Worker_Interface
- work_response : LV2_Worker_Interface